Package oasis.names.tc.dss._1_0.core.schema

# Class ResponseBaseType

java.lang.Object
oasis.names.tc.dss._1_0.core.schema.ResponseBaseType

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `SignResponse`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:08:50+02:00", comments="JAXB RI v4.0.5") public class ResponseBaseType extends Object implements Serializable

Java class for ResponseBaseType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ResponseBaseType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element ref="{urn:oasis:names:tc:dss:1.0:core:schema}Result"/>
             <element ref="{urn:oasis:names:tc:dss:1.0:core:schema}OptionalOutputs" minOccurs="0"/>
           </sequence>
           <attribute name="RequestID" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="Profile" use="required" type="{http://www.w3.org/2001/XMLSchema}anyURI" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ResponseBaseType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AnyType`
  `getOptionalOutputs()`
  Gets the value of the optionalOutputs property.
  `String`
  `getProfile()`
  Gets the value of the profile property.
  `String`
  `getRequestID()`
  Gets the value of the requestID property.
  `Result`
  `getResult()`
  Gets the value of the result property.
  `void`
  `setOptionalOutputs(AnyType value)`
  Sets the value of the optionalOutputs property.
  `void`
  `setProfile(String value)`
  Sets the value of the profile property.
  `void`
  `setRequestID(String value)`
  Sets the value of the requestID property.
  `void`
  `setResult(Result value)`
  Sets the value of the result property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ResponseBaseType

    public ResponseBaseType()

- ## Method Details

  - ### getResult

    public Result getResult()
    Gets the value of the result property.
    Returns:
      possible object is `Result`

  - ### setResult

    public void setResult(Result value)
    Sets the value of the result property.
    Parameters:
      `value` - allowed object is `Result`

  - ### getOptionalOutputs

    public AnyType getOptionalOutputs()
    Gets the value of the optionalOutputs property.
    Returns:
      possible object is `AnyType`

  - ### setOptionalOutputs

    public void setOptionalOutputs(AnyType value)
    Sets the value of the optionalOutputs property.
    Parameters:
      `value` - allowed object is `AnyType`

  - ### getRequestID

    public String getRequestID()
    Gets the value of the requestID property.
    Returns:
      possible object is `String`

  - ### setRequestID

    public void setRequestID(String value)
    Sets the value of the requestID property.
    Parameters:
      `value` - allowed object is `String`

  - ### getProfile

    public String getProfile()
    Gets the value of the profile property.
    Returns:
      possible object is `String`

  - ### setProfile

    public void setProfile(String value)
    Sets the value of the profile property.
    Parameters:
      `value` - allowed object is `String`